<html devsite><head>
    <title>Nexus 보안 게시판 - 2015년 11월</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>2015년 11월 2일 게시됨</em></p>

<p>Google의 Android 보안 게시판 월간 출시 과정의 일환으로 무선(OTA)
업데이트를 통해 Nexus 기기 보안 업데이트가 출시되었습니다.
또한 Nexus 펌웨어 이미지도 <a href="https://developers.google.com/android/nexus/images">Google 개발자 사이트</a>에 출시되었습니다. 빌드 LMY48X 이상 및 2015년 11월 1일 이후의 보안 패치 수준이 포함된
Android Marshmallow에서 이 문제가 해결되었습니다. 자세한 내용은 <a href="#common_questions_and_answers">일반적인 질문 및 답변</a> 섹션을 참조하세요.</p>

<p>이 문제에 관한 알림은 2015년 10월 5일 이전에 파트너에게 전달되었으며, 소스
코드 패치는 다음 48시간 동안 Android 오픈소스 프로젝트(AOSP)
저장소에 출시됩니다. 패치를 사용할 수 있게 되면 AOSP
링크와 함께 이 게시판을 수정하겠습니다.</p>

<p>이 중 가장 심각한 문제는 미디어 파일을 처리할 때
이메일, 웹 탐색, MMS 등 여러 방법을 통해 대상 기기에서
원격으로 코드를 실행할 수 있게 하는 심각한 보안 취약성입니다. <a href="/security/overview/updates-resources.html#severity">심각도
평가</a>는
개발 목적으로 플랫폼 및 서비스 완화를 사용할 수 없거나
우회에 성공한 경우 취약성 악용으로 인해 대상 기기가 받는 영향을
기준으로 내려집니다.</p>

<p>실제 고객이 새로 보고된 이러한 문제로 인해 악용당했다는 신고는
접수되지 않았습니다. SafetyNet과 같이 Android 플랫폼의 보안을 개선하는 <a href="/security/enhancements/index.html">Android 보안 플랫폼 보호</a> 및 서비스 보호 기능에 관해 자세히 알아보려면
<a href="#mitigations">완화</a> 섹션을 참조하세요. 모든 고객은 기기에서 이 업데이트를 수락하는 것이
좋습니다.</p>

<h2 id="mitigations">완화</h2>

<p>다음은 SafetyNet과 같은 <a href="/security/enhancements/index.html">Android 보안 플랫폼</a> 및 서비스 보호 기능에서 제공하는 완화를 요약한 내용입니다. 이러한 기능을 통해
Android에서 보안 취약성이 악용될 가능성을 줄일 수
있습니다. </p>

<ul>
  <li> Android 플랫폼 최신 버전의 향상된 기능으로 Android의 여러 문제를
악용하기 더욱 어려워졌습니다. 가능한 경우 모든 사용자는
Android 최신 버전으로 업데이트하는 것이 좋습니다.
  </li><li> Android 보안팀에서는 유해할 수 있는 애플리케이션이 설치될 때
경고를 보내는 앱 인증 및 SafetyNet을 사용하여 악용사례를 적극적으로
모니터링합니다. Google Play 내에서 기기 루팅 도구는 금지되어 있습니다. Google Play
외부에서 애플리케이션을 설치하는 사용자를 보호하기 위해 앱 인증이
기본적으로 사용 설정되며 알려진 루팅 애플리케이션이 감지되면 경고를 표시합니다. 앱
인증에서는 권한 승격 취약성을 악용하는 것으로 알려진 악성 애플리케이션을
식별하고 차단합니다. 이러한 애플리케이션이
이미 설치된 경우 앱 인증에서 사용자에게 이를 알리고
애플리케이션 삭제를 시도합니다.
  </li><li> Google 행아웃과 메신저 애플리케이션은 미디어 서버와 같은 프로세스에
미디어를 자동으로 전달하지 않습니다.
</li></ul>

<h2 id="acknowledgements">감사의 말씀</h2>

<p>참여해 주신 다음 연구원에게 감사드립니다.</p>

<ul>
  <li> Abhishek Arya, Oliver Chang, Martin Barbella, Chrome 보안팀:
CVE-2015-6608
  </li><li> Copperhead Security의 Daniel Micay(daniel.micay@copperhead.co): CVE-2015-6609
  </li><li> KAIST 시스템 보안 연구실의 김동관(dkay@kaist.ac.kr): CVE-2015-6614
  </li><li> KAIST의 시스템 보안 연구실의 김홍길(hongilk@kaist.ac.kr): CVE-2015-6614
  </li><li> Trend Micro의 Jack Tang(@ jacktang310) : CVE-2015-6611
  </li><li> Trend Micro의 Peter Pi: CVE-2015-6611
  </li><li> Google Project Zero의 Natalie Silvanovich: CVE-2015-6608
  </li><li> KeenTeam(@K33nTeam, http://k33nteam.org/)의 Qidan He(@flanker_hqd),
Wen Xu(@antlr7): CVE-2015-6612
  </li><li> <a href="http://www.360.cn">Qihoo 360 Technology Co.Ltd</a>의 Guang Gong(龚广)(<a href="https://twitter.com/oldfresher">@oldfresher</a>,
higongguang@gmail.com): CVE-2015-6612
  </li><li> Trend Micro의 Seven Shen: CVE-2015-6610
</li></ul>

<h2 id="security_vulnerability_details">보안 취약성 세부정보</h2>

<p>다음 섹션에서는 2015-11-01 패치 수준에 적용되는
각 보안 취약성에 관해 자세히 알아볼 수 있습니다.
여기에는 문제 설명, 심각도 근거 및 CVE, 관련 버그, 심각도,
해당 버전 및 신고된 날짜가 포함된 표가 제시됩니다.
가능한 경우 문제를 해결한 AOSP 변경사항을 버그ID에
연결했습니다.  하나의 버그와 관련된 변경사항이 여러 개인 경우 추가 AOSP
참조가 버그 ID 다음에 오는 번호에 연결됩니다.</p>

<h3 id="remote_code_execution_vulnerabilities_in_mediaserver">미디어 서버의 원격 코드 실행 취약성</h3>

<p>특별히 제작된 파일을 미디어 파일 및 데이터 처리하는 동안
미디어 서버의 취약성을 통해 공격자가 메모리 손상을 일으키고
원격 코드가 미디어 서버 프로세스로 실행되도록 할 수 있습니다.</p>

<p>문제의 기능은 운영체제의 핵심 부분이며, 여러 애플리케이션에서
이 기능이 원격 콘텐츠, 특히 MMS와 미디어의 브라우저 재생에
접근할 수 있게 허용합니다.</p>

<p>이 문제는 미디어 서버 서비스 내에서 원격 코드를 실행할 가능성이 있으므로
심각도 심각으로 평가됩니다. 미디어 서버 서비스는
오디오와 동영상 스트림뿐 아니라 타사 앱이 일반적으로
액세스할 수 없는 권한에 액세스할 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td rowspan="6">CVE-2015-6608</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/8ec845c8fe0f03bc57c901bc484541bdd6a7cf80">ANDROID-19779574</a></td>
    <td rowspan="3">심각</td>
    <td rowspan="3">5.0, 5.1, 6.0</td>
    <td rowspan="3">Google 사내용</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c6a2815eadfce62702d58b3fa3887f24c49e1864">ANDROID-23680780</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Faac/+/b3c5a4bb8442ab3158fa1f52b790fadc64546f46">ANDROID-23876444</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/3830d0b585ada64ee75dea6da267505b19c622fd">ANDROID-23881715</a></td>
    <td>심각</td>
    <td>4.4, 5.0, 5.1, 6.0</td>
    <td>Google 사내용</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3878b990f7d53eae7c2cf9246b6ef2db5a049872">ANDROID-14388161</a></td>
    <td>심각</td>
    <td>4.4, 5.1</td>
    <td>Google 사내용</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f3eb82683a80341f5ac23057aab733a57963cab2">ANDROID-23658148</a></td>
    <td>심각</td>
    <td>5.0, 5.1, 6.0</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerability_in_libutils">libUtils의 원격 코드 실행 취약성</h3>

<p>오디오 파일을 처리하는 동안 일반 라이브러리인 libutils의 취약성이
이용될 수 있습니다. 이 취약성은 특별히 제작된 파일을 처리하는 동안
공격자가 메모리 손상을 일으키고 원격 코드를 실행할 수 있게
합니다.</p>

<p>문제의 기능은 애플리케이션 API로 제공되며
원격 콘텐츠와 특히 MMS 및 미디어의 브라우저 재생에서
이런 기능을 사용하는 여러 애플리케이션이 있습니다. 이 문제는 권한이 설정된
서비스에서 원격 코드를 실행할 가능성이 있으므로 심각도 심각으로 평가됩니다. 문제의
구성요소는 오디오와 동영상 스트림뿐 아니라 타사 앱이 일반적으로
액세스할 수 없는 권한에 액세스할 수 있습니다.</p>

<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6609</td>
    <td><a href="https://android.googlesource.com/platform%2Fbootable%2Frecovery/+/ec63d564a86ad5b30f75aa307b4bd271f6a96a56">ANDROID-22953624</a>
[<a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/419e6c3c68413bd6dbb6872340b2ae0d69a0fd60">2</a>]</td>
    <td>심각</td>
    <td>6.0 이하</td>
    <td>2015년 8월 3일</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerabilities_in_mediaserver">mediaserver의 정보 공개 취약성</h3>

<p>mediaserver에는 공격자가 플랫폼을 악용하기 어렵게 하기 위해 마련된
보안 장치를 우회할 수 있게 하는 정보 공개 취약성이
있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td rowspan="12">CVE-2015-6611</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/1c7719820359f4190cd4bfd1a24d521face7b4f8">ANDROID-23905951</a>
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3b76870d146b1350db8a2f7797e06897c8c92dc2">2</a>]
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/40715a2ee896edd2df4023d9f6f586977887d34c">3</a>] </td>
    <td rowspan="3">높음</td>
    <td rowspan="3">6.0 이하</td>
    <td rowspan="3">2015년 9월 7일</td>
 </tr>
 <tr>
    <td>ANDROID-23912202*</td>
 </tr>
 <tr>
    <td>ANDROID-23953967*</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fnative/+/b414255f53b560a06e642251535b019327ba0d7b">ANDROID-23696300</a></td>
    <td>높음</td>
    <td>6.0 이하</td>
    <td>2015년 8월 31일</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/09ed70fab1f1424971ccc105dcdf5be5ce2e2643">ANDROID-23600291</a></td>
    <td>높음</td>
    <td>6.0 이하</td>
    <td>2015년 8월 26일</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/892354335d49f0b9fcd10e20e0c13e3cd0f1f1cb">ANDROID-23756261</a>
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/a946d844a77906072f5eb7093d41db465d6514bb">2</a>]</td>
    <td>높음</td>
    <td>6.0 이하</td>
    <td>2015년 8월 26일</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/57bed83a539535bb64a33722fb67231119cb0618">ANDROID-23540907</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/25a634427dec455b79d73562131985ae85b98c43">2</a>]</td>
    <td>높음</td>
    <td>5.1 이하</td>
    <td>2015년 8월 25일</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/d53aced041b7214a92b1f2fd5970d895bb9934e5">ANDROID-23541506</a></td>
    <td rowspan="4">높음</td>
    <td rowspan="4">6.0 이하</td>
    <td rowspan="4">2015년 8월 25일</td>
 </tr>
 <tr>
    <td>ANDROID-23284974*</td>
 </tr>
 <tr>
    <td>ANDROID-23542351*</td>
 </tr>
 <tr>
    <td>ANDROID-23542352*</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/0981df6e3db106bfb7a56a2b668c012fcc34dd2c">ANDROID-23515142</a></td>
    <td>높음</td>
    <td>5.1 이하</td>
    <td>2015년 8월 19일</td>
 </tr>
</tbody></table>
<p>* 이 버그 관련 패치는 제공된 다른 AOSP 링크에 포함되어 있습니다.</p>

<h3 id="elevation_of_privilege_vulnerability_in_libstagefright">libstagefright의 권한 승격 취약성</h3>

<p>libstagefright에 로컬 악성 애플리케이션이 메모리를 손상시키고
미디어 서버 서비스의 컨텍스트 내에 임의의 코드를 실행할 수 있게
하는 권한 승격 취약성이 있습니다. 이 문제는 일반적으로
심각으로 평가되지만 원격으로 악용될 수 있는 가능성이 낮기 때문에
심각도 높음으로 평가되었습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6610</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/d26052738f7b095b7e318c8dde7f32db0a48450c">ANDROID-23707088</a>
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/820c105f7a4dc0971ee563caea4c9b346854a2f7">2</a>]</td>
    <td>높음</td>
    <td>6.0 이하</td>
    <td>2015년 8월 19일</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_libmedia">libmedia의 권한 승격 취약성</h3>

<p>libmedia에 로컬 악성 애플리케이션이 미디어 서버 서비스의
컨텍스트 내에서 임의의 코드를 실행할 수 있게 하는 취약성이
있습니다. 이 문제는 타사 애플리케이션이 직접 액세스할 수 없는 권한에
액세스하는 데 사용될 수 있으므로 심각도 높음으로 평가됩니다. </p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6612</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/4b219e9e5ab237eec9931497cf10db4d78982d84">ANDROID-23540426</a></td>
    <td>높음</td>
    <td>6.0 이하</td>
    <td>2015년 8월 23일</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">블루투스의 권한 승격 취약성</h3>

<p>블루투스에 로컬 애플리케이션이 기기의 수신 디버그 포트에 명령어를
보낼 수 있도록 하는 취약성이 있습니다. 이 문제는 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">서명</a> 또는
<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 권한과 같이 타사 애플리케이션이 액세스할 수 없는 승격된 권한을 확보하는 데 사용될 수 있으므로 심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6613</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fbt/+/74dad51510f7d7b05c6617ef88168bf0bbdf3fcd">ANDROID-24371736</a></td>
    <td>높음</td>
    <td>6.0</td>
    <td>Google 사내용</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_telephony">
전화 기능의 권한 승격 취약성</h3>

<p>전화 기능 구성요소의 취약성으로 인해 로컬 악성 애플리케이션이 제한된
네트워크 인터페이스에 무단 데이터를 전달하여 데이터 요금에 영향을
미칠 수 있습니다. 또한 기기에서 전화를 받을 수 없게 하고
공격자가 통화의 음소거 설정을 조정하도록 허용할 수
있습니다. 이 문제는 '<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">위험한</a>' 권한을 부적절한 방식으로 얻는 데
사용될 수 있으므로 심각도 보통으로 평가됩니다. </p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
    <th>신고된 날짜</th>
 </tr>
 <tr>
    <td>CVE-2015-6614</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fopt%2Ftelephony/+/70dd1f77873913635288e513564a6c93ae4d0a26">ANDROID-21900139</a>
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/a12044215b1148826ea9a88d5d1102378b13922f">2</a>]
[<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/2b6af396ad14def9a967f62cccc87ee715823bb1">3</a>]</td>
    <td>보통</td>
    <td>5.0, 5.1</td>
    <td>2015년 6월 8일</td>
 </tr>
</tbody></table>

<h3 id="common_questions_and_answers">일반적인 질문 및 답변</h3>

<p>이 섹션에서는 게시판을 읽은 뒤 제기될 수 있는 일반적인 질문의 답변을
제시합니다.</p>

<p><strong>1. 내 기기가 업데이트되어 이 문제가 해결되었는지 어떻게 알 수 있나요?</strong></p>

<p>빌드 LMY48X 이상 및 2015년 11월 1일 이후의 보안 패치 수준이 포함된
Android Marshmallow에서 이 문제가 해결되었습니다. 보안 패치 수준을 확인하는 방법에 관한 안내는 <a href="https://support.google.com/nexus/answer/4457705">Nexus 도움말</a>을 참조하세요. 이 업데이트를 포함하는
기기 제조업체는 패치 문자열 수준을 다음과 같이 설정해야 합니다.
[ro.build.version.security_patch]:[2015-11-01]</p>

<h2 id="revisions">수정 내역</h2>

<ul>
  <li> 2015년 11월 2일: 최초 게시됨
</li></ul>

</body></html>